package com.bonus.hn.bearing.capacity.backstage.companypro.service;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.OwmTeamQueryBean;
import com.bonus.hn.bearing.capacity.backstage.companypro.entity.ProjectManagerBean;
import com.bonus.hn.bearing.capacity.backstage.companypro.entity.TreeBean;
import com.bonus.hn.bearing.capacity.backstage.select.entity.SelectBean;

import java.util.List;

/**
 * 包名称：com.bonus.hn.bearing.capacity.backstage.companypro.service
 * 类名称：ProjectManagerService
 * 类描述：
 * 创建人：@author xxxxxx
 * 创建时间：2023年11月06日 16:26
 */
public interface OwmTeamQueryService {

    List<OwmTeamQueryBean> getProjectManagementTeamsList(OwmTeamQueryBean o);

    List<OwmTeamQueryBean> getowmTeamQueryTeamsFormList(OwmTeamQueryBean o);

    List<OwmTeamQueryBean> getTeamsList(OwmTeamQueryBean o);

    int bindOrUnBindProTeam(OwmTeamQueryBean bean);

    List<TreeBean> getCompanyProTree(TreeBean o);
}
